Skip to main content
GET
/
v1
/
tenants
/
{tenant_id}
/
subjects
/
{subject_type}
/
{subject_id}
/
snapshots
/
export
Export full snapshot ledger
curl --request GET \
  --url https://tally-platform-api-xwka6vu2kq-ue.a.run.app/v1/tenants/{tenant_id}/subjects/{subject_type}/{subject_id}/snapshots/export \
  --header 'Authorization: Bearer <token>'
{
  "subject_type": "<string>",
  "subject_id": "<string>",
  "exported_at": "2023-11-07T05:31:56Z",
  "snapshots": [
    {
      "snapshot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "snapshot_version": 123,
      "generated_at": "2023-11-07T05:31:56Z",
      "envelope_hash": "<string>",
      "prev_hash": "<string>",
      "subject": {
        "subject_type": "<string>",
        "subject_id": "<string>"
      },
      "envelope": {
        "envelope_version": "entity_state_envelope_v1",
        "snapshot_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "snapshot_version": 2,
        "generated_at": "2023-11-07T05:31:56Z",
        "subject": {
          "subject_id": "<string>"
        },
        "attributes": {},
        "evidence": [
          {
            "evidence_id": "<string>",
            "evidence_type": "<string>",
            "source": "<string>",
            "captured_at": "2023-11-07T05:31:56Z",
            "retrieved_at": "2023-11-07T05:31:56Z",
            "hash": {
              "alg": "sha256",
              "value": "adf11c84..."
            },
            "locator": "<string>",
            "notes": "<string>"
          }
        ],
        "audit": {
          "created_by": "<string>",
          "created_at": "2023-11-07T05:31:56Z",
          "source": "<string>",
          "request_id": "<string>",
          "correlation_id": "<string>"
        },
        "attribute_paths": {},
        "diff": {
          "format": "rfc6902",
          "ops": [
            "<unknown>"
          ]
        }
      }
    }
  ]
}

Authorizations

Authorization
string
header
required

Firebase Auth JWT issued by Google Identity Platform. Obtain a token by signing in at your app domain and calling firebase.auth().currentUser.getIdToken().

Path Parameters

tenant_id
string
required

Tenant identifier.

subject_type
enum<string>
required

Subject type discriminator.

Available options:
entity,
individual
subject_id
string
required

Stable subject identifier within its type namespace.

Response

Complete ledger export.

subject_type
string
subject_id
string
exported_at
string<date-time>
snapshots
object[]